Bug 985558 - puppet package requirements pull in jruby in preference to ruby
puppet package requirements pull in jruby in preference to ruby
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
19
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Sam Kottler
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 14:41 EDT by Mark Lamourine
Modified: 2014-06-18 04:14 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-09 05:25:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The package resolution for puppet with updates repo enabled (5.52 KB, text/plain)
2013-07-17 14:41 EDT, Mark Lamourine
no flags Details
package resolution with updates repo disabled (4.29 KB, text/plain)
2013-07-17 14:43 EDT, Mark Lamourine
no flags Details

  None (edit)
Description Mark Lamourine 2013-07-17 14:41:52 EDT
Created attachment 774911 [details]
The package resolution for puppet with updates repo enabled

Description of problem:

When installing puppet for the first time on F19 with fedora-updates repo enabled the puppet requirements are resolved with jruby instead of ruby.

This results in 100 packages installed instead of 20, and puppet fails to run:

[fedora@domU-12-31-39-02-75-6A ~]$ puppet help
LoadError: no such file to load -- puppet/util/command_line
  require at org/jruby/RubyKernel.java:1027
  require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45
   (root) at /usr/bin/puppet:3



Version-Release number of selected component (if applicable):
  Broken: puppet-3.1.1-4.fc19.noarch
  Works:  puppet.noarch 0:3.1.1-3.fc19
How reproducible:

Install puppet with fedora-updates repo enabled and run 'puppet help'

Steps to Reproduce:
1. Create base F19 installation without puppet or ruby installed
2. yum -y --enablerepo updates puppet
3. puppet help

Actual results:

$ puppet help
LoadError: no such file to load -- puppet/util/command_line
  require at org/jruby/RubyKernel.java:1027
  require at /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:45
   (root) at /usr/bin/puppet:3



Expected results:

puppet helpUsage: puppet <subcommand> [options] <action> [options]

Available subcommands:
    
  agent             The puppet agent daemon
  apply             Apply Puppet manifests locally
  ca                Local Puppet Certificate Authority management.
  catalog           Compile, save, view, and convert catalogs.
  cert              Manage certificates and requests
  certificate       Provide access to the CA for certificate management.
  certificate_request  Manage certificate requests.
  certificate_revocation_list  Manage the list of revoked certificates.
  config            Interact with Puppet's configuration options.
  describe          Display help about resource types
  device            Manage remote network devices
  doc               Generate Puppet documentation and references
  facts             Retrieve and store facts.
  file              Retrieve and store files in a filebucket
  filebucket        Store and retrieve files in a filebucket
  help              Display Puppet help.
  inspect           Send an inspection report
  instrumentation_data  Manage instrumentation listener accumulated data.
  instrumentation_listener  Manage instrumentation listeners.
  instrumentation_probe  Manage instrumentation probes.
  key               Create, save, and remove certificate keys.
  kick              Remotely control puppet agent
  man               Display Puppet manual pages.
  master            The puppet master daemon
  module            Creates, installs and searches for modules on the Puppet Forge.
  node              View and manage node definitions.
  parser            Interact directly with the parser.
  plugin            Interact with the Puppet plugin system.
  queue             Queuing daemon for asynchronous storeconfigs
  report            Create, display, and submit reports.
  resource          The resource abstraction layer shell
  resource_type     View classes, defined resource types, and nodes from all manifests.
  secret_agent      Mimics puppet agent.
  status            View puppet server status.

See 'puppet help <subcommand> <action>' for help on a specific subcommand action.
See 'puppet help <subcommand>' for help on a specific subcommand.
Puppet v3.1.1


Additional info:
Comment 1 Mark Lamourine 2013-07-17 14:43:34 EDT
Created attachment 774914 [details]
package resolution with updates repo disabled

This is the yum package resolution for installing puppet with fedora-updates repo disabled.
Comment 2 Sam Kottler 2013-07-18 08:52:43 EDT
There's nothing in the diff between release 3 and 4 that would cause this to take place. Is there some kind of aliasing going on with your system to automatically pull in jruby instead of ruby?

I can't reproduce this currently, feel free to reopen this issue with more information.
Comment 3 Sam Kottler 2013-07-27 11:51:39 EDT

*** This bug has been marked as a duplicate of bug 985208 ***
Comment 4 Matthew Miller 2013-08-06 12:09:51 EDT
I can still reproduce even with puppet 3.1.1-5.fc19

1. Fire up F19 cloud image http://fedoraproject.org/en/get-fedora-options#cloud
2. yum install puppet
Comment 5 Matthew Miller 2013-08-06 12:14:17 EDT
Searching pkgSack for dep: ruby(release)
TSINFO: Marking jruby-1.7.2-1.fc19.noarch as install for puppet-3.1.1-5.fc19.noarch
Comment 6 Sam Kottler 2014-01-09 05:25:44 EST
I haven't seen this occur in the last 6 or so months so I'm going to close out the issue.

Note You need to log in before you can comment on or make changes to this bug.